<script>
@#page-include#(canvasActRegUtil.js)
@#page-include#(numbersUtil.js)
@#page-include#(coderDecoder.js)
</script>
<script>
  var konfiguracija = @#raw-text#(jsinitdata);
</script>

<form id="mojFormular">
<div class="mlQuestionText">
  <div>Na raspolaganju Vam je ispisna memorija (ROM) \(8 \times 5\). Sadržaj memorije
    po lokacijama treba biti redom {05,0C,1F,02,09,1C,0B,19} (podatci su prikazani 
    heksadekadski). Klikanjem miša unesite taj sadržaj u koder.
  </div>

<div style="text-align: center; margin-top: 15px; margin-bottom: 15px;">
<canvas id="myCanvas1" width="340" height="280" oncontextmenu="return false;"></canvas>
</div>

<script>
    var koddek = new KoderDekoder(3, 5, "myCanvas1", null, konfiguracija.enteredContent, true, false, null, null, 0);
</script>

</div>
</form>

<script>
  function questionCollectUserData() {
    return {enteredContent: koddek.getContent()};
  }
</script>

